Bug 1106222 - (CVE-2018-15746) VUL-0: CVE-2018-15746: kvm,qemu: seccomp: blacklist is not applied to all threads
(CVE-2018-15746)
VUL-0: CVE-2018-15746: kvm,qemu: seccomp: blacklist is not applied to all thr...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/213406/
CVSSv3:RedHat:CVE-2018-15746:5.3:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-08-28 11:10 UTC by Alexander Bergmann
Modified: 2021-05-27 12:46 UTC (History)
6 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Bergmann 2018-08-28 11:10:34 UTC
rh#1615637

An issue was found in the way QEMU implements Seccomp sandboxing. In that, all QEMU threads are not bound by the sandbox. A guest user/process maybe be able to use this flaw to invoke prohibited system calls on a host, resulting in guest crash.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2018-08/msg04892.html

Reference:
----------
  -> https://lists.gnu.org/archive/html/qemu-devel/2018-08/msg02289.html

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1615637
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2018-15746
Comment 1 Larry Dewey 2018-10-05 16:31:09 UTC
UPDATE: Backporting work has been done for the following releases, and there are ongoing discussions regarding the backporting of these security fixes to older releases.

SLE-12-SP2: https://build.suse.de/request/show/173849
SLE-12-SP3: https://build.suse.de/request/show/173850
SLE-12-SP4: https://build.suse.de/request/show/173851
SLE-15    : https://build.suse.de/request/show/173847
Comment 2 Larry Dewey 2018-10-29 16:02:29 UTC
UPDATE: Backporting has been completed for the following releases by handling a change directly to qemu instead of making changes to the kernel.

SLE-11-SP3: https://build.suse.de/request/show/175888
SLE-11-SP4: https://build.suse.de/request/show/175887
SLE-12:     https://build.suse.de/request/show/175886
SLE-12-SP1: https://build.suse.de/request/show/175885
Comment 5 Swamp Workflow Management 2018-11-26 20:12:26 UTC
SUSE-SU-2018:3912-1: An update that fixes 6 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1106222,1110910,1111006,1111010,1111013,1114422
CVE References: CVE-2018-10839,CVE-2018-15746,CVE-2018-17958,CVE-2018-17962,CVE-2018-17963,CVE-2018-18849
Sources used:
SUSE Linux Enterprise Server 12-LTSS (src):    qemu-2.0.2-48.46.2
Comment 7 Swamp Workflow Management 2018-11-27 17:13:40 UTC
SUSE-SU-2018:3927-1: An update that solves 7 vulnerabilities and has two fixes is now available.

Category: security (important)
Bug References: 1106222,1107489,1110910,1111006,1111010,1111013,1112499,1114422,1114529
CVE References: CVE-2018-10839,CVE-2018-15746,CVE-2018-16847,CVE-2018-17958,CVE-2018-17962,CVE-2018-17963,CVE-2018-18849
Sources used:
SUSE Linux Enterprise Module for Server Applications 15 (src):    qemu-2.11.2-9.12.2
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    qemu-2.11.2-9.12.2, qemu-linux-user-2.11.2-9.12.1
SUSE Linux Enterprise Module for Basesystem 15 (src):    qemu-2.11.2-9.12.2
Comment 8 Swamp Workflow Management 2018-12-04 20:11:06 UTC
SUSE-SU-2018:3973-1: An update that fixes 6 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1106222,1110910,1111006,1111010,1111013,1114422
CVE References: CVE-2018-10839,CVE-2018-15746,CVE-2018-17958,CVE-2018-17962,CVE-2018-17963,CVE-2018-18849
Sources used:
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    qemu-2.3.1-33.17.1
Comment 9 Swamp Workflow Management 2018-12-04 20:13:18 UTC
SUSE-SU-2018:3975-1: An update that fixes 7 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1106222,1110910,1111006,1111010,1111013,1112185,1114422
CVE References: CVE-2018-10839,CVE-2018-15746,CVE-2018-17958,CVE-2018-17962,CVE-2018-17963,CVE-2018-18438,CVE-2018-18849
Sources used:
SUSE Linux Enterprise Server 11-SP4 (src):    kvm-1.4.2-60.18.2
Comment 11 Swamp Workflow Management 2018-12-05 17:11:54 UTC
SUSE-SU-2018:3987-1: An update that fixes 7 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1106222,1110910,1111006,1111010,1111013,1112185,1114422
CVE References: CVE-2018-10839,CVE-2018-15746,CVE-2018-17958,CVE-2018-17962,CVE-2018-17963,CVE-2018-18438,CVE-2018-18849
Sources used:
SUSE Linux Enterprise Server 11-SP3-LTSS (src):    kvm-1.4.2-53.26.2
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    kvm-1.4.2-53.26.2
Comment 12 Swamp Workflow Management 2018-12-07 11:23:29 UTC
openSUSE-SU-2018:4004-1: An update that solves 7 vulnerabilities and has two fixes is now available.

Category: security (important)
Bug References: 1106222,1107489,1110910,1111006,1111010,1111013,1112499,1114422,1114529
CVE References: CVE-2018-10839,CVE-2018-15746,CVE-2018-16847,CVE-2018-17958,CVE-2018-17962,CVE-2018-17963,CVE-2018-18849
Sources used:
openSUSE Leap 15.0 (src):    qemu-2.11.2-lp150.7.12.1, qemu-linux-user-2.11.2-lp150.7.12.1, qemu-testsuite-2.11.2-lp150.7.12.1
Comment 13 Swamp Workflow Management 2018-12-14 20:10:11 UTC
SUSE-SU-2018:4129-1: An update that solves 6 vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1100408,1106222,1110910,1111006,1111010,1111013,1114422
CVE References: CVE-2018-10839,CVE-2018-15746,CVE-2018-17958,CVE-2018-17962,CVE-2018-17963,CVE-2018-18849
Sources used:
SUSE Linux Enterprise Server 12-SP3 (src):    qemu-2.9.1-6.22.3
SUSE Linux Enterprise Desktop 12-SP3 (src):    qemu-2.9.1-6.22.3
SUSE CaaS Platform ALL (src):    qemu-2.9.1-6.22.3
SUSE CaaS Platform 3.0 (src):    qemu-2.9.1-6.22.3
Comment 14 Swamp Workflow Management 2018-12-15 23:09:51 UTC
openSUSE-SU-2018:4147-1: An update that solves 6 vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1100408,1106222,1110910,1111006,1111010,1111013,1114422
CVE References: CVE-2018-10839,CVE-2018-15746,CVE-2018-17958,CVE-2018-17962,CVE-2018-17963,CVE-2018-18849
Sources used:
openSUSE Leap 42.3 (src):    qemu-2.9.1-50.1, qemu-linux-user-2.9.1-50.1, qemu-testsuite-2.9.1-50.1
Comment 15 Swamp Workflow Management 2018-12-19 14:13:00 UTC
SUSE-SU-2018:4185-1: An update that solves 7 vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1106222,1108474,1110910,1111006,1111010,1111013,1114422,1114529
CVE References: CVE-2018-10839,CVE-2018-15746,CVE-2018-16847,CVE-2018-17958,CVE-2018-17962,CVE-2018-17963,CVE-2018-18849
Sources used:
SUSE Linux Enterprise Server 12-SP4 (src):    qemu-2.11.2-5.5.1
SUSE Linux Enterprise Desktop 12-SP4 (src):    qemu-2.11.2-5.5.1
Comment 16 Swamp Workflow Management 2018-12-22 14:09:14 UTC
SUSE-SU-2018:4237-1: An update that fixes 6 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1106222,1110910,1111006,1111010,1111013,1114422
CVE References: CVE-2018-10839,CVE-2018-15746,CVE-2018-17958,CVE-2018-17962,CVE-2018-17963,CVE-2018-18849
Sources used:
SUSE OpenStack Cloud 7 (src):    qemu-2.6.2-41.46.2
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    qemu-2.6.2-41.46.2
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    qemu-2.6.2-41.46.2
SUSE Linux Enterprise Server 12-SP2-BCL (src):    qemu-2.6.2-41.46.2
SUSE Enterprise Storage 4 (src):    qemu-2.6.2-41.46.2
Comment 17 Alexandros Toptsoglou 2019-04-03 10:02:40 UTC
All fixed
Comment 18 Swamp Workflow Management 2019-04-27 22:35:51 UTC
SUSE-SU-2018:3973-2: An update that fixes 6 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1106222,1110910,1111006,1111010,1111013,1114422
CVE References: CVE-2018-10839,CVE-2018-15746,CVE-2018-17958,CVE-2018-17962,CVE-2018-17963,CVE-2018-18849
Sources used:
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    qemu-2.3.1-33.17.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.